## influxdb 1.6.7~rc0

=== debian/changelog ===
influxdb (1.6.7~rc0-2ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Wed, 25 Jun 2025 10:10:17 +1000

influxdb (1.6.7~rc0-2ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Wed, 06 Nov 2024 12:04:53 +1000

influxdb (1.6.7~rc0-2ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 11 Jul 2024 08:45:14 +0530

influxdb (1.6.7~rc0-2build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:16:32 +1200

influxdb (1.6.7~rc0-2) unstable; urgency=medium

  * Team upload.
  * Add patch to migrate to golang-github-golang-jwt-jwt-dev

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 21 Jul 2023 17:39:59 +0800

influxdb (1.6.7~rc0-1) unstable; urgency=high

  * Team upload.
  * New upstream version 1.6.7~rc0
    Fix CVE-2019-20933 Password bypass vulnerability (Closes: #978087)
    https://github.com/influxdata/influxdb/pull/13133
  * Update Homepage
  * Bump debhelper-compat to 13
  * Fix Vcs-Git and Vcs-Browser address
  * Update uscan watch file version
  * Remove broken lintian overrides
  * Fix skip-systemd-native-flag-missing-pre-depends

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 27 Dec 2020 01:06:41 +0800

=== debian/control ===
Source: influxdb
Section: database
Priority: optional
Homepage: https://www.influxdata.com/products/influxdb-overview/
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Alexandre Viau <aviau@debian.org>,
           Tim Potter <tpot@hpe.com>,
Build-Depends: debhelper-compat (= 13),
               dh-golang (>=1.9),
               golang-collectd-dev,
               golang-github-bmizerany-pat-dev,
               golang-github-boltdb-bolt-dev,
               golang-github-burntsushi-toml-dev,
               golang-github-cespare-xxhash-dev,
               golang-github-davecgh-go-spew-dev,
               golang-github-golang-jwt-jwt-dev,
               golang-github-dgryski-go-bitstream-dev,
               golang-github-gogo-protobuf-dev,
               golang-github-golang-snappy-dev,
               golang-github-google-go-cmp-dev,
               golang-github-influxdata-influxql-dev,
               golang-github-influxdata-yarpc-dev,
               golang-github-influxdb-usage-client-dev (>= 0.0~git20151204.0.475977e-2~),
               golang-github-jsternberg-zap-logfmt-dev,
               golang-github-jwilder-encoding-dev (>= 0.0~git20160927.0.4dada27),
               golang-github-klauspost-pgzip-dev,
               golang-github-mattn-go-isatty-dev,
               golang-github-opentracing-opentracing-go-dev,
               golang-github-paulbellamy-ratecounter-dev,
               golang-github-peterh-liner-dev,
               golang-github-prometheus-client-golang-dev,
               golang-github-retailnext-hllpp-dev,
               golang-github-roaringbitmap-roaring-dev,
               golang-github-tinylib-msgp-dev,
               golang-github-xlab-treeprint-dev,
               golang-go,
               golang-go.uber-zap-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-time-dev,
               libprotobuf-dev,
               protoc-gen-yarpc,
               tmpl,
Standards-Version: 3.9.8
Vcs-Git: https://salsa.debian.org/go-team/packages/influxdb.git
Vcs-Browser: https://salsa.debian.org/go-team/package/influxdb
XS-Go-Import-Path: github.com/influxdata/influxdb

Package: golang-github-influxdb-influxdb-dev
Architecture: all
Replaces: influxdb-dev (<< 0.9.2.1+dfsg1-2),
Breaks: influxdb-dev (<< 0.9.2.1+dfsg1-2),
Pre-Depends: ${misc:Pre-Depends},
Depends: golang-collectd-dev,
         golang-github-bmizerany-pat-dev,
         golang-github-boltdb-bolt-dev,
         golang-github-burntsushi-toml-dev,
         golang-github-cespare-xxhash-dev,
         golang-github-golang-jwt-jwt-dev,
         golang-github-dgryski-go-bitstream-dev,
         golang-github-gogo-protobuf-dev,
         golang-github-golang-snappy-dev,
         golang-github-influxdata-influxql-dev,
         golang-github-influxdata-yarpc-dev,
         golang-github-influxdb-usage-client-dev (>= 0.0~git20151204.0.475977e-2~),
         golang-github-jsternberg-zap-logfmt-dev,
         golang-github-jwilder-encoding-dev (>= 0.0~git20160927.0.4dada27),
         golang-github-klauspost-pgzip-dev,
         golang-github-mattn-go-isatty-dev,
         golang-github-opentracing-opentracing-go-dev,
         golang-github-paulbellamy-ratecounter-dev,
         golang-github-peterh-liner-dev,
         golang-github-prometheus-client-golang-dev,
         golang-github-retailnext-hllpp-dev,
         golang-github-roaringbitmap-roaring-dev,
         golang-github-tinylib-msgp-dev,
         golang-github-xlab-treeprint-dev,
         golang-go.uber-zap-dev,
         golang-golang-x-crypto-dev,
         golang-golang-x-time-dev,
         libprotobuf-dev,
         protoc-gen-yarpc,
         ${misc:Depends},
Description: Scalable datastore for metrics, events, and real-time analytics. Dev package
 InfluxDB is a time series, metrics, and analytics database. It’s written
 in Go and has no external dependencies. That means once you install it
 there’s nothing else to manage (such as Redis, ZooKeeper, Cassandra,
 HBase, or anything else). InfluxDB is targeted at use cases for DevOps,
 metrics, sensor data, and real-time analytics.
 .
 This is the dev package.

Package: influxdb
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: adduser,
         lsb-base (>= 3.0-6),
         ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using},
Description: Scalable datastore for metrics, events, and real-time analytics
 InfluxDB is a time series, metrics, and analytics database. It’s written
 in Go and has no external dependencies. That means once you install it
 there’s nothing else to manage (such as Redis, ZooKeeper, Cassandra,
 HBase, or anything else). InfluxDB is targeted at use cases for DevOps,
 metrics, sensor data, and real-time analytics.

Package: influxdb-client
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using},
Description: command line interface for InfluxDB
 InfluxDB is a time series, metrics, and analytics database. It’s written
 in Go and has no external dependencies. That means once you install it
 there’s nothing else to manage (such as Redis, ZooKeeper, Cassandra,
 HBase, or anything else). InfluxDB is targeted at use cases for DevOps,
 metrics, sensor data, and real-time analytics.
 .
 This package contains the command line interface.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk

export DH_GOLANG_GO_GENERATE := 1
export DH_GOLANG_INSTALL_EXTRA := query/tmpldata $(shell find -name '*.go.tmpl*')

# Excluding unused command tools
export DH_GOLANG_EXCLUDES := tests stress services/collectd/test_client \
	cmd/influx-tools cmd/influx_tsm cmd/influx_stress cmd/store cmd/influx_inspect

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

override_dh_auto_build:
	dh_auto_build -- -ldflags="-X main.version=$(DEB_VERSION_UPSTREAM)"

override_dh_auto_test:
	-dh_auto_test

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%influxdb-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/influxdata/influxdb/tags .*/v?(\d\S*)\.tar\.gz debian

## influxdb client-1.5.0

=== requirements.txt ===
rx >= 3.0.1
certifi >= 14.05.14
six >= 1.10
python_dateutil >= 2.5.3
setuptools >= 21.0.0
urllib3 >= 1.15.1
ciso8601>=2.1.1
pytz>=2019.1

## influxdb client-1.15.0

=== requirements.txt ===
rx >= 3.0.1
certifi >= 14.05.14
six >= 1.10
python_dateutil >= 2.5.3
setuptools >= 21.0.0
urllib3 >= 1.15.1
pytz>=2019.1
